Answer the patient share request
Share the response of HIECM's /api/hiecm/patient-share/v3/on-share API.
Header
AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]
X-CM-ID consent manager ID[ Example: sbx ]
Request Body
Incase of success scenario,acknowledgement is mandatory and error is optional
Incase of failure scenario,error is mandatory and acknowledgment is optional
response is mandatory object in both the cases The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Bad Request The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Request Timeout The error code and message, if any occurred. ABDM-1007 - Connection failed due to timeout. May be returned either bare ( Too Many Requests The error code and message, if any occurred. ABDM-1022 - Too many requests. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredResponses
400errorobjecterror.codestringRequiredABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired408errorobjecterror.codestringRequiredABDM-1007) or with a trailing ": " separator (ABDM-1007: ); match on the code itself and tolerate the separator.error.messagestringRequired429errorobjecterror.codestringRequiredABDM-1022) or with a trailing ": " separator (ABDM-1022: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- You make this call in reply to This API will be invoked to the HIP for sharing the response of HIECM's /api/hiecm/patient-share/v3/share API, which ABDM posts to
/api/v3/hip/patient/share. Open the callback.